/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.util.Objects;

/**
 * Information related to the incident.
 */
@ApiModel(description = "Information related to the incident.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model117 {
  @SerializedName("date")
  private LocalDate date = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("additional_costs")
  private AdditionalCosts additionalCosts = null;

  public Model117 date(LocalDate date) {
    this.date = date;
    return this;
  }

   /**
   * Date and time of the missed connection. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).
   * @return date
  **/
  @ApiModelProperty(value = "Date and time of the missed connection. UTC datetime, RFC3339 format (YYYY-MM-DDTHH:mm:ssZ).")
  public LocalDate getDate() {
    return date;
  }

  public void setDate(LocalDate date) {
    this.date = date;
  }

  public Model117 description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Description of the cause.
   * @return description
  **/
  @ApiModelProperty(value = "Description of the cause.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public Model117 additionalCosts(AdditionalCosts additionalCosts) {
    this.additionalCosts = additionalCosts;
    return this;
  }

   /**
   * Get additionalCosts
   * @return additionalCosts
  **/
  @ApiModelProperty(value = "")
  public AdditionalCosts getAdditionalCosts() {
    return additionalCosts;
  }

  public void setAdditionalCosts(AdditionalCosts additionalCosts) {
    this.additionalCosts = additionalCosts;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model117 model117 = (Model117) o;
    return Objects.equals(this.date, model117.date) &&
        Objects.equals(this.description, model117.description) &&
        Objects.equals(this.additionalCosts, model117.additionalCosts);
  }

  @Override
  public int hashCode() {
    return Objects.hash(date, description, additionalCosts);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model117 {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    additionalCosts: ").append(toIndentedString(additionalCosts)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

